<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Medblocks UI Kitchen Sink</title>
    <link
      rel="stylesheet"
      href="../node_modules/@shoelace-style/shoelace/dist/themes/light.css"
    />
    <style></style>
    <script type="module" src="../dist/medblocks.js"></script>
    <script src="../node_modules/axios/dist/axios.min.js"></script>
    <link rel="stylesheet" href="style.css" />
  </head>

  <script>
    document.addEventListener('DOMContentLoaded', function () {
      console.log('onload');
      const form = document.getElementById("form1");
      form.addEventListener("mb-submit", (e) => {
        e.preventDefault();
        console.log(e.detail)
      })
    });
  </script>

  <body>
    <div style="max-width: 700px;">
      <mb-form
        id="form1"
        style="display: flex; gap:15px; flex-direction: column"
        templateid="testing_template.v0"
      >

        <mb-repeatable-simple
          path="clinikk.diagnosis.v0/story_history/any_event:0/symptom_sign"
          css="style.css"
        >
          <div>
            <p>Symptoms</p>
            <mb-input
              path="clinikk.diagnosis.v0/story_history/any_event:0/symptom_sign:0/symptom_sign_name"
            ></mb-input>
            <p>Description</p>
            <mb-input
              path="clinikk.diagnosis.v0/story_history/any_event:0/symptom_sign:0/description"
            ></mb-input>
          </div>
        </mb-repeatable-simple>
        <div>
          <p>Suggested Symptoms</p>
          <sl-button pill size="small">Fever?</sl-button>
          <sl-button pill size="small">Malise</sl-button>
        </div>
        <mb-suggest-block path="probable_symptoms"></mb-suggest-block>
        <mb-date
          time
          path="prototype.medicationlist.v0/medication_order/order:${k}/order_details/order_stop_date_time"
          label="Order stop date/time"
        ></mb-date>

        <div>
          <mb-submit type="primary">
            <sl-button>Save</sl-button>
          </mb-submit>
        </div>
      </mb-form>
    </div>
    <div>
      <pre></pre>
    </div>
  </body>
</html>
